Subject: Re: [dhcwg] testing PD availability (was: two comments on draft-cui-dhc-dhcpv6-prefix-length-hint-issue)

From: Alexandru Petrescu <[email-masked]>
Date: Thu, 15 Sep 2016 10:23:20 +0200

Hi,

We wrote a test client looking whether PD is available in the network,
by sending a IA_PD in a Solicit; and run it against KEA and ISC servers.

If the PD knob unset at the server, both responded a Status Code
"NoPrefixAvail (6)", wireshark display.  Textually, ISC says Status
Message "No prefixes available for this interface" whereas KEA says
"Sorry, no subnet available".  What interface?  And why a 'subnet' when
what is asked is a 'prefix'?

Even though it's negative, there is a reply.  It is because these
servers have such a PD option.

What would be the behaviour with a legacy no-PD server? will it crash?
timeout no reply? reply "Noaddrsavail"?

Alex

Le 23/07/2015 à 14:54, Dan Seibel a écrit :
> For #1 I would think sending a solicit with IA_PD is how you can
> find out if the server supports it.  If it does you will get a
> prefix returned, if not you will get a Noaddrsavail for the IA.
>
>
>
>
>
>
>> On Jul 23, 2015, at 6:38 AM, Alexandru Petrescu
>> <[email-masked]> wrote:
>>
>> Hello,
>>
>> I just read draft-cui-dhc-dhcpv6-prefix-length-hint-issue-00.
>>
>> I am happy this draft exists and I have two comments.  One is more
>>  general question in this context, and the other a potential
>> improvement, but not a request.
>>
>> The draft assumes the Client is a Host which may request a prefix
>> len at some point, and another one maybe later.  It seems the
>> prefix is to be used on the interface which has issued that
>> Solicit.  And it seems to face a Server sure to be willing to
>> deliver a prefix.
>>
>> 1. What is the best way to query a DHCPv6 Server to ask it whether
>> or not it supports Prefix Delegation at all?
>>
>> 2. when this Router changes mind and requests a different prefix,
>> maybe with a different length, a specification like
>> draft-cui-dhc-dhcpv6-prefix-length-hint-issue could recommend to
>> deprecate that prefix with specific consideration to below it, not
>> just to the Server.
>>
>> I mean this something like this:
>>
>> Current text:
>>> 1.Deprecate the old prefix right away by sending a Release
>>> message to the server, and switch over to the new prefix.
>>
>> New text:
>>> 1.Deprecate the old prefix right away by sending a Release
>>> message to the server, and switch over to the new prefix.  And
>>> by stopping sending RAs on its other interfaces with the old
>>> prefix, stop propagating it in the routing protocol.
>>
>> Alex
>>
>> _______________________________________________ dhcwg mailing list
>>  [email-masked] https://www.ietf.org/mailman/listinfo/dhcwg
>